# $Revision: 1.10 $, $Date: 2009/04/01 09:09:27 $
Summary:	QuesoGLC - free implementation of the OpenGL Character Renderer (GLC)
Summary(pl.UTF-8):	QuesoGLC - wolnodostępna implementacja "OpenGL Character Renderer" (GLC)
Name:		quesoglc
Version:	0.7.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/quesoglc/%{name}-%{version}.tar.bz2
# Source0-md5:	1c8d394d4f41fa0c5b08eb7ead73c4ef
URL:		http://quesoglc.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	fontconfig-devel >= 1:2.2
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QuesoGLC is a free (as in free speech) implementation of the OpenGL
Character Renderer (GLC). QuesoGLC is based on the FreeType library,
provides Unicode support and is designed to be easily ported to any
platform that supports both FreeType and the OpenGL API.

%description -l pl.UTF-8
QuesoGLC to wolnodostępna implementacja "OpenGL Character Renderer"
(GLC). Jest oparta na bibliotece FreeType, zapewnia obsługę Unikodu i
jest zaprojektowana jako przenośna na dowolną platformę obsługującą
FreeType i API OpenGL.

%package devel
Summary:	Header files QuesoGLC library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki QuesoGLC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	fontconfig-devel >= 1:2.2
Requires:	freetype-devel >= 2.1.0

%description devel
This package includes the header files for QuesoGLC library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki QuesoGLC.

%package static
Summary:	Static QuesoGLC library
Summary(pl.UTF-8):	Statyczna biblioteka QuesoGLC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static QuesoGLC library.

%description static -l pl.UTF-8
Statyczna biblioteka QuesoGLC.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS
%attr(755,root,root) %{_libdir}/libGLC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libGLC.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGLC.so
%{_libdir}/libGLC.la
%{_includedir}/GL/*.h
%{_pkgconfigdir}/quesoglc.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libGLC.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: quesoglc.spec,v $
Revision 1.10  2009/04/01 09:09:27  lisu
- restore one commit log

Revision 1.9  2009/04/01 09:07:46  lisu
- final 0.7.2
- merged with DEVEL

Revision 1.8  2009/01/02 23:36:29  arvenil
- release 2
- added %ghost
- cleanup

Revision 1.7.2.4  2009/03/13 13:07:35  lisu
- up to 0.7.2-RC2

Revision 1.7.2.3  2008/11/27 20:38:30  pawelz
- added %%ghost so symlink
- removed some wildcards

Revision 1.7.2.2  2008/11/24 14:59:42  lisu
- quesoglc.pc packaged into the proper dir

Revision 1.7.2.1  2008/11/24 13:59:55  lisu
- up to 0.7.2-RC1

Revision 1.7  2008/04/21 19:07:14  qboosh
- sorted BRs

Revision 1.6  2008-04-19 23:48:15  undefine
- BR: xorg-proto-xproto-devel

Revision 1.5  2008-04-12 13:26:52  lisu
- 0.7.1
- license is LGPL
- STBR

Revision 1.4  2007-11-30 18:44:50  blekot
- 0.6.5

Revision 1.3  2007/04/24 17:41:08  qboosh
- devel deps

Revision 1.2  2007/04/24 17:35:43  qboosh
- added -static
- pl cosmetics and packaging fixes

Revision 1.1  2007/04/23 15:54:46  blekot
- init
